using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace testwebservice
{
    class Program
    {
        static void Main(string[] args)
        {
            //ServiceReference1.blwwsSoapClient _client = new ServiceReference1.blwwsSoapClient();
            ServiceReference2.syncstatusSoapClient _client = new ServiceReference2.syncstatusSoapClient();
            DataSet dsHotel = _client.GetHotelCode();
            foreach (DataRow row in dsHotel.Tables[0].Rows)
            {
                if (Convert.ToInt16(row["HotelID"]) > 0)
                {
                    string code = row["Code"].ToString();
                    if (code.Equals("1552"))
                    {
                        DataSet ds = _client.GetCheckInOrOutRecord(code);
                        if (ds != null && ds.Tables.Count > 2 && ds.Tables[3].Rows.Count > 0)
                        {
                            int hotelID = Convert.ToInt16(ds.Tables[3].Rows[0]["HotelID"].ToString());//与PMS同步接口所配置的HotelID
                            if (hotelID > 0)
                            {
                            }
                        }
                    }
                }
            }
        }
    }
}
